%
% anyremote configuration file for kplayer management.
%

% STATUS stable
% TODO how to start playing and choose the playlist ? 
% XTEST no
% SOUND app
% ENV no

GuiAppName=Kplayer
GuiAppBinary=kplayer
GuiAppRun=echo 'A=`dcop 2> /dev/null|grep kplayer`; if [ "x$A" == "x" ]; then echo NOK; else echo OK; fi'|bash -f -s
GuiAppIcon=kplayer.png
GuiAppType=Application
GuiAppProtocols=AT
GuiAppDesc=KPlayer is a KDE multimedia player.
GuiAppVersion=echo 'V=`kplayer -v|grep KDE|tr -d " "|cut -f 2 -d ":"|cut -f 1 -d "."`; if [ "x$V" == "x3" ]; then echo OK; else echo NOK; fi'|bash -f -s

[Protocol]=AT

% aliased keys
Answer=Make(disconnect);
Cancel=Exec(dcop kplayer MainApplication-Interface quit);

(Init)=Include($(CfgDir)/Utils/aliases-at.cfg);\
	Make(var,TwoWayComm,by_value,false);\
	Make(var,Device,by_value,/dev/rfcomm0);\
	Exec(echo 'V=`amarok -v|grep KDE|tr -d " "|cut -f 2 -d ":"|cut -f 1 -d "."`; if [ "x$V" == "x4" ]; then $(CfgDir)/Utils/message.sh "ERROR: this configuration file is for KDE3"; fi'|bash -f -s);

(Connect)=Exec(echo 'P=`dcop|grep kplayer`; if [ "x$P" == "x" ]; then kplayer& fi' |bash -f -s)

1=Exec(dcop kplayer kplayer-mainwindow#1 activateAction audio_volume_down)
2=Exec(dcop kplayer kplayer-mainwindow#1 activateAction audio_mute)
3=Exec(dcop kplayer kplayer-mainwindow#1 activateAction audio_volume_up)

4=Exec(dcop kplayer kplayer-mainwindow#1 activateAction player_backward)
5=Exec(dcop kplayer kplayer-mainwindow#1 activateAction player_next;dcop kplayer kplayer-mainwindow#1 activateAction player_play)
6=Exec(dcop kplayer kplayer-mainwindow#1 activateAction player_forward)

7=Exec(dcop kplayer kplayer-mainwindow#1 activateAction player_previous)
8=Exec(dcop kplayer kplayer-mainwindow#1 activateAction player_stop)
9=Exec(dcop kplayer kplayer-mainwindow#1 activateAction player_next)

* *=Exec(echo 'F="$HOME/.anyRemote/anyrem.hlp";echo "1 - Vol-    2 - Mute   3 - Vol+" > $F;echo "4 - Rew     5 - Play   6 - FF" >> $F;echo "7 - Prew    8 - Stop   9 - Next" >> $F;echo "* * - Help  0 - Pause  # - Kill" >> $F;kdialog -passivepopup "`cat $F`" 7' |bash -f -s)
* #=Exec(echo 'P=`dcop|grep kplayer`; if [ "x$P" == "x" ]; then kplayer; dcop kplayer kplayer-mainwindow#1 activateAction view_full_screen; else dcop kplayer MainApplication-Interface quit; fi' |bash -f -s)
0=Exec(dcop kplayer kplayer-mainwindow#1 activateAction player_pause)
#=Exec(dcop kplayer MainApplication-Interface quit )

[End]
